<script lang="ts">
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';
  import Section from '$lib/components/sections/Section.svelte';
  import SchoolCard from '$lib/components/cards/SchoolCard.svelte';
  import type { PageData } from './$types';
  import { axiosInstance } from '$lib/config';
  import Pagination from '$lib/components/Pagination.svelte';

  export let data: PageData;

  let schools = data?.school.data,
    page = data.page || 1,
    pages = data?.school.pages;

  $: {
    schools = data?.school.data;
    page = data.page || 1;
    pages = data?.school.pages;
  }

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/school', { params: { ...(event.detail && { name: event.detail }) } });

    if (event.detail) {
      pages = 0;
    } else {
      pages = data?.school.pages;
    }

    schools = res.data.data;
  }
</script>

<svelte:head>
    <title>Научные школы</title>
</svelte:head>

<BaseLayout>
    <Section title="Научные школы" class="mt-16" {handleSearch}>
        <section class="grid 2xl:grid-cols-3 lg:grid-cols-2 gap-8">
            {#each schools as { name, scientificSchool, attachment }}
                <SchoolCard {name} {scientificSchool} {attachment}/>
            {/each}
        </section>
        <Pagination {page} {pages}/>
    </Section>
</BaseLayout>